Skip to main content

Marketplace API (v1)

Marketplace API

Authentication

Send your subscription key in the Ocp-Apim-Subscription-Key header on every request. Keys are issued per region; call the server for the region your key was issued in.

Content

Get Cruise Line Content by code

Authorizations:
subscriptionKey
path Parameters
cruiseLineCode
required
string

The ship code.

query Parameters
cultureCode
string
Default: "en-US"

The culture code.

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "code": "string",
  • "title": "string",
  • "description": "string",
  • "logo": "string",
  • "logoWidth": 0,
  • "logoHeight": 0,
  • "mainImage": {
    },
  • "features": [
    ],
  • "featuresNotIncluded": [
    ],
  • "healthAcknowledgement": "string",
  • "nonRefundableDepositTermsAndConditions": "string"
}

Get Ship Content by code

Authorizations:
subscriptionKey
path Parameters
shipCode
required
string

The ship code.

query Parameters
cultureCode
string
Default: "en-US"

The culture code.

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "code": "string",
  • "name": "string",
  • "description": "string",
  • "label": "string",
  • "preamble": "string",
  • "mainImage": {
    },
  • "exteriorImage": {
    },
  • "maidenVoyage": "string",
  • "length": 0.1,
  • "lengthFeet": 0.1,
  • "width": 0.1,
  • "widthFeet": 0.1,
  • "tonnage": 0.1,
  • "speed": 0.1,
  • "numberOfGuests": 0.1,
  • "crew": 0.1,
  • "numberOfDecks": 0.1,
  • "renovated": 0.1,
  • "highlights": [
    ],
  • "shipClass": {
    },
  • "cruiseLine": {
    },
  • "sisterShips": [
    ],
  • "galleryImages": [
    ],
  • "typeGallery": [
    ],
  • "ratings": {
    }
}

Get Destination Content by code

Authorizations:
subscriptionKey
path Parameters
destinationCode
required
string

The ship code.

query Parameters
cultureCode
string
Default: "en-US"

The culture code.

Responses

Response samples

Content type
application/json
{
  • "id": "string",
  • "code": "string",
  • "title": "string",
  • "titleInherited": true,
  • "description": "string",
  • "descriptionInherited": true,
  • "mainImage": {
    },
  • "region": {
    },
  • "subRegion": {
    },
  • "geoLocation": {
    },
  • "galleryImages": [
    ]
}

Retrieves a list of Destination Content.

Authorizations:
subscriptionKey
query Parameters
destinationCodes
string non-empty

Comma-separated list of destination codes.

cultureCode
string non-empty

Culture code.

Responses

Response samples

Content type
application/json
[
  • {
    }
]

Get Ship Deckplans by code

Authorizations:
subscriptionKey
path Parameters
shipCode
required
string

The ship code.

Responses

Response samples

Content type
application/json
{
  • "cruiseLineCode": "string",
  • "imageOrientation": 0.1,
  • "shipCode": "string",
  • "deckplans": [
    ]
}

Cruises

Lists available fares for a cruise based on the specified criteria.

Authorizations:
subscriptionKey
Request Body schema: application/json
required

Fares request containing itinerary, sailing, and ages.

itineraryId
string
sailingId
string
object (PromotionQualifiersModel)
ages
Array of integers <int32> [ items <int32 > ]

Responses

Request samples

Content type
application/json
{
  • "itineraryId": "string",
  • "sailingId": "string",
  • "promotionQualifiers": {
    },
  • "ages": [
    ]
}

Response samples

Content type
No sample

Lists available categories for a cruise based on the specified criteria.

Authorizations:
subscriptionKey
Request Body schema: application/json
required

Categories request containing itinerary and sailing information.

itineraryId
string
sailingId
string
object (PromotionQualifiersModel)
ages
Array of integers <int32> [ items <int32 > ]
fareCodes
Array of strings

Responses

Request samples

Content type
application/json
{
  • "itineraryId": "string",
  • "sailingId": "string",
  • "promotionQualifiers": {
    },
  • "ages": [
    ],
  • "fareCodes": [
    ]
}

Response samples

Content type
No sample

Search

List facet filters.

Authorizations:
subscriptionKey

Responses

Response samples

Content type
application/json
{
  • "metadata": [
    ],
  • "queryTimeMs": 0,
  • "facetInfo": [
    ]
}

Handles HTTP GET requests to search for packages based on the provided criteria.

This endpoint allows clients to search for packages using query parameters. It supports pagination, sorting, and additional options such as specifying the number of promoted items and images.

Authorizations:
subscriptionKey
query Parameters
query
string

The search query string used to find matching packages.

filter
string

The filter request string containing additional filtering criteria.

pageSize
integer <int32> [ 1 .. 100 ]
Default: 10

The number of items to include per page. Must be between 1 and 100. Default is 10.

pageNumber
integer <int32> [ 0 .. 4294967295 ]
Default: 0

The page number to retrieve. Must be 0 or greater. Default is 0.

numberOfPromotedItems
integer <int32> [ 0 .. 100 ]
Default: 4

The number of promoted items to include in the result. Must be between 0 and 100. Default is 4.

numberOfImages
integer <int32> [ 0 .. 100 ]
Default: 4

The number of images to include in the result. Must be between 0 and 100. Default is 4.

sortBy
string
Default: "Default"
Enum: "Default" "PriceAsc" "Recommended" "Popular" "Personal"

The sorting criteria for the search results. Default is SortBy.Default.

Responses

Response samples

Content type
application/json
{
  • "metadata": [
    ],
  • "queryTimeMs": 0,
  • "numberOfPages": 0,
  • "totalNumberOfItems": 0,
  • "pageNumber": 0,
  • "pageSize": 0,
  • "items": [
    ],
  • "facetInfo": [
    ]
}

Handles HTTP POST requests to search for packages based on the provided criteria.

This endpoint allows clients to search for packages using a combination of query parameters and a filter request body. It supports pagination, sorting, and additional options such as including facets in the search result.

Authorizations:
subscriptionKey
query Parameters
query
string

The search query string used to find matching packages.

pageSize
integer <int32> [ 1 .. 100 ]
Default: 10

The number of items to include per page. Must be between 1 and 100. Default is 10.

pageNumber
integer <int32> [ 0 .. 4294967295 ]
Default: 0

The page number to retrieve. Must be 0 or greater. Default is 0.

numberOfPromotedItems
integer <int32> [ 0 .. 100 ]
Default: 4

The number of promoted items to include in the result. Must be between 0 and 100. Default is 4.

numberOfImages
integer <int32> [ 0 .. 100 ]
Default: 4

The number of images to include in the result. Must be between 0 and 100. Default is 4.

sortBy
string
Default: "Default"
Enum: "Default" "PriceAsc" "Recommended" "Popular" "Personal"

The sorting criteria for the search results. Default is SortBy.Default.

includeFacets
boolean
Default: false

A boolean indicating whether to include facets in the search result. Default is false.

Request Body schema: application/json
required

The filter request object containing additional filtering criteria.

object (FacetFilterRequest)
Array of objects (NumericalFilterPartRequest)
Array of objects (DateFilterPartRequest)

Responses

Request samples

Content type
application/json
{
  • "facetFilter": {
    },
  • "numericalFilter": [
    ],
  • "dateFilter": [
    ]
}

Response samples

Content type
application/json
{
  • "metadata": [
    ],
  • "queryTimeMs": 0,
  • "numberOfPages": 0,
  • "totalNumberOfItems": 0,
  • "pageNumber": 0,
  • "pageSize": 0,
  • "items": [
    ],
  • "facetInfo": [
    ]
}

Retrieves a dynamic package by its package code and product code.

This endpoint allows clients to fetch details of a dynamic package using the specified package code and product code.

Authorizations:
subscriptionKey
path Parameters
packageCode
required
string

The unique code identifying the package.

productCode
required
string

The unique code identifying the product.

Responses

Response samples

Content type
application/json
{
  • "metadata": [
    ],
  • "queryTimeMs": 0,
  • "package": {
    }
}

Retrieves a dynamic package cruise product by its package code, selection code, and product code.

This endpoint allows clients to fetch details of a dynamic package cruise product using the specified package code, selection code, and product code.

Authorizations:
subscriptionKey
path Parameters
packageCode
required
string

The unique code identifying the package.

selectionCode
required
string

The unique code identifying the selection within the package.

productCode
required
string

The unique code identifying the product.

Responses

Response samples

Content type
application/json
{
  • "metadata": [
    ],
  • "queryTimeMs": 0,
  • "product": {
    }
}

Retrieves the cruise itinerary for a given product code.

Authorizations:
subscriptionKey
path Parameters
productCode
required
string

The product code.

query Parameters
cultureCode
string = 5 characters

The culture code.

Responses

Response samples

Content type
application/json
{
  • "productCode": "string",
  • "packageCode": "string",
  • "itinerary": [
    ]
}